Skip to main content
POST
/
v0
/
assistant
curl --request POST \
  --url 'https://api.unify.ai/v0/assistant' \
  --header "Authorization: Bearer $UNIFY_KEY" \
  --header 'Content-Type: application/json' \
  --data '{
    "first_name": "Ada",
    "surname": "Lovelace",
    "age": 28,
    "weekly_limit": 15.75,
    "max_parallel": 2,
    "nationality": "North America",
    "profile_photo": "https://example.com/photos/ada.jpg",
    "profile_video": "https://example.com/videos/ada.mp4",
    "desktop_mode": "windows",
    "user_desktop_id": 1,
    "user_desktop_filesys_sync": false,
    "about": "Mathematician and writer known for work on Analytical Engine",
    "voice_id": "bf0a246a-8642-498a-9950-80c35e9276b5",
    "voice_provider": "elevenlabs",
    "timezone": "America/New_York"
}'
{
    "info": {
        "agent_id": "123",
        "first_name": "Alice",
        "surname": "Smith",
        "age": 25,
        "weekly_limit": 40.0,
        "max_parallel": 3,
        "created_at": "2025-04-25T12:00:00Z",
        "updated_at": "2025-04-25T12:00:00Z",
        "phone": "+1-555-123-4567",
        "email": "alice.smith@example.com",
        "voice_id": "bf0a246a-8642-498a-9950-80c35e9276b5",
        "phone_country": "US"
    }
}
Creates a new assistant for the authenticated user with the specified configuration. This action will deduct credits from the user account.

Authorizations

Authorization
string
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

first_name
string | null
First name of the assistant
surname
string | null
Surname of the assistant
age
integer | null
Age of the assistant
weekly_limit
number | null
Weekly time limit for the assistant in hours
max_parallel
integer | null
Maximum number of parallel tasks the assistant can handle
nationality
string | null
Assistant’s nationality
profile_photo
string | null
URL to the assistant’s profile photo
profile_video
string | null
URL to the assistant’s profile video
desktop_mode
string | null
Desktop operating system mode for assistant’s VM type
user_desktop_id
integer | null
ID of the registered user desktop to assign to this assistant
user_desktop_filesys_sync
boolean | null
default:"false"
Whether to enable filesystem sync with user’s desktop
about
string | null
Brief description about the assistant
voice_id
string | null
Id of the provider voice to use for the assistant
voice_provider
string | null
Provider of the selected voice (e.g., ‘elevenlabs’, ‘openai’)
create_infra
boolean | null
default:"true"
Whether to create the infrastructure for the assistant (pubsub, VM, etc.)
is_local
boolean | null
default:"false"
Whether this is a local assistant (runs unity locally instead of on GKE). Local assistants skip wakeup calls and GKE job management in the adapters.
deploy_env
string | null
Set to ‘preview’ to route this assistant to the preview runtime stack. Leave null for native assistants (routed to this Orchestra’s own environment).
pre_hire_chat
array | null
A list of chat messages from the pre-hire conversation to be logged.
timezone
string | null
Timezone of the assistant in IANA format
curl --request POST \
  --url 'https://api.unify.ai/v0/assistant' \
  --header "Authorization: Bearer $UNIFY_KEY" \
  --header 'Content-Type: application/json' \
  --data '{
    "first_name": "Ada",
    "surname": "Lovelace",
    "age": 28,
    "weekly_limit": 15.75,
    "max_parallel": 2,
    "nationality": "North America",
    "profile_photo": "https://example.com/photos/ada.jpg",
    "profile_video": "https://example.com/videos/ada.mp4",
    "desktop_mode": "windows",
    "user_desktop_id": 1,
    "user_desktop_filesys_sync": false,
    "about": "Mathematician and writer known for work on Analytical Engine",
    "voice_id": "bf0a246a-8642-498a-9950-80c35e9276b5",
    "voice_provider": "elevenlabs",
    "timezone": "America/New_York"
}'
{
    "info": {
        "agent_id": "123",
        "first_name": "Alice",
        "surname": "Smith",
        "age": 25,
        "weekly_limit": 40.0,
        "max_parallel": 3,
        "created_at": "2025-04-25T12:00:00Z",
        "updated_at": "2025-04-25T12:00:00Z",
        "phone": "+1-555-123-4567",
        "email": "alice.smith@example.com",
        "voice_id": "bf0a246a-8642-498a-9950-80c35e9276b5",
        "phone_country": "US"
    }
}